#include <iostream>

using namespace std;

void aha(int i,int k,int n,int a[n],int c)
    {
        if (k==0)
        return c;
        else
       {
            if(a[i]>a[n-i-1])
        {
            return aha(i++,k--,n,a[n],c-a[n-i-1]);
        }
        if(a[i]<a[n-i-1])
        {
            return aha(i++,k--,n,a[n],c-a[n-i-1]);
        }
       }

    }

int main()
{
    int n,k,i,f,c;
    cin>>n>>k;
    int a[n];

    c=0;
    cout<<endl;
    for(i=0;i<n;i++)
    {
        cin>>a[i];
    }
    if(k==2)
    {
        f=a[0]-a[n-1];
        cout<<f;
    }
    else
    {
        k=k-1;
        i=0;
    aha(i,k,n,a[n],c);
    }

    return 0;
}